declare @qry nvarchar(max)

set @qry = 'Declare @UserSupplied nvarchar(255)' +
           '  Select OU.CanonicalName' +
		   '    From dbo.tblDomainOU OU(nolock)' +
		   '   WHERE isnull(OU.LDM_TOMBSTONED,0) = 0' +
		   '     and OU.CanonicalName like @UserSupplied ' +
		   'ORDER BY OU.CanonicalName'

declare @sType nvarchar(max)
set @sType = 'Organizational Unit'

declare @sField nvarchar(max)
set @sField = 'Canonical Name'

if exists(select 1 from dbo.tblCustomQueryParameters P(nolock) where P.Type = @sType and P.Field = @sField)
  update dbo.tblCustomQueryParameters set Query = @qry where Type = @sType and Field = @sField
else
  insert into dbo.tblCustomQueryParameters (Type, Field, Query) values (@sType, @sField, @qry)

set @qry = 'Declare @UserSupplied nvarchar(255)' +
           '  select distinct SRV.DisplayName' +
		   '    from dbo.tblComputerService SRV(nolock)' +
		   '   where SRV.DisplayName like @UserSupplied' +
		   '     and isnull(SRV.LDM_TOMBSTONED,0) = 0 ' +
		   'order by SRV.DisplayName'
set @sType = 'Computer Service'
set @sField = 'Display Name'

if exists(select 1 from dbo.tblCustomQueryParameters P(nolock) where P.Type = @sType and P.Field = @sField)
  update dbo.tblCustomQueryParameters set Query = @qry where Type = @sType and Field = @sField
else
  insert into dbo.tblCustomQueryParameters (Type, Field, Query) values (@sType, @sField, @qry)

GO